Bug 226220 - Add EditorActionRegistration.noKeyBinding and EditorActionRegistration.noIconInMenu annotation fields
Add EditorActionRegistration.noKeyBinding and EditorActionRegistration.noIcon...
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Actions/Menu/Toolbar
7.3
PC Linux
: P2 (vote)
: 7.4
Assigned To: Miloslav Metelka
issues@editor
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-17 10:21 UTC by Miloslav Metelka
Modified: 2013-02-26 05:24 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments
Patch with version increase, apichanges and tests (10.21 KB, text/plain)
2013-02-17 12:03 UTC, Miloslav Metelka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miloslav Metelka 2013-02-17 10:21:13 UTC
Default values will be false for both properties.
noKeyBinding means that the action will not be visible in Tools->Options->Keymap.
noIconInMenu means that a possible icon that the action may have will not be added to menu items (it will only be present in toolbar presenters).
The annotation fields will translate into "no-keybinding" and "noIconInMenu" action properties and they are handled appropriately by appropriate options and presenters.
Comment 1 Miloslav Metelka 2013-02-17 12:03:26 UTC
Created attachment 131481 [details]
Patch with version increase, apichanges and tests
Comment 2 Miloslav Metelka 2013-02-17 12:05:27 UTC
I would like to ask for fasttrack review.
Comment 3 Miloslav Metelka 2013-02-25 13:51:15 UTC
http://hg.netbeans.org/jet-main/rev/e182112edec5
Comment 4 Quality Engineering 2013-02-26 05:24:02 UTC
Integrated into 'main-golden', will be available in build *201302252300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e182112edec5
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #226220 - Add EditorActionRegistration.noKeyBinding and EditorActionRegistration.noIconInMenu annotation fields.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo